brushes:
.dw brushGO
.dw brushMedAve
.dw brushCC1    ;community chest
.dw brushBalAve
.dw brushIncTax
.dw brushRR     ;Reading Railroad
.dw brushOriAve
.dw brushCha1   ;Chance
.dw brushVerAve
.dw brushConAve
.dw brushJail
.dw brushStCha
.dw brushEleCom
.dw brushStaAve
.dw brushVirAve
.dw brushPenR
.dw brushStJam
.dw brushCC2
.dw brushTenAve
.dw brushNewYor
.dw brush20 ;Free parking
.dw brushKenAve
.dw brushCha2
.dw brushIndAve
.dw brushIllAve
.dw brushBnOR
.dw brushAtlAve
.dw brushVenAve
.dw brushWatWor
.dw brushMarGar
.dw brush30 ;Go to jail
.dw brushPacAve
.dw brushNorCar
.dw brushCC3
.dw brushPenAve
.dw brushShoLin
.dw brushCha3
.dw brushParPla
.dw brushLuxTax
.dw brushBoa
.dw brush40             ;blank tile

;byte2:
;bit 0: change direction
;bit 1: pass go
;bit 2: chance
;bit 3: community chest
;bit 4: property
;bit 5: railroad
;bit 6: utility
;bit 7: 
brushGO:
.db 0           ;sprite number
.db %00000011   ;change direction
.db 0           ;0=left
brushMedAve:
.db 1
.db %00010000
.dw textMedAve
.db 30          ;mortgage price
.db 2           ;rent price no house
.db $FF         ;owner
brushCC1:
.db 2
.db %00001000
brushBalAve:
.db 1
.db %00010000
.dw textBalAve
.db 30          ;mortgage price
.db 2           ;rent price no house
.db $FF         ;owner
brushIncTax:
.db 3
.db %00000000
brushRR:
.db 4
.db %00100000
.dw textRR
brushOriAve:
.db 5
.db %00010000
.dw textOriAve
.db 50          ;mortgage price
.db 6           ;rent price no house
.db $FF         ;owner
brushCha1:
.db 6
.db %00000100
brushVerAve:
.db 5
.db %00010000
.dw textVerAve
.db 50          ;mortgage price
.db 6           ;rent price no house
.db $FF         ;owner
brushConAve:
.db 5
.db %00010000
.dw textConAve
.db 60          ;mortgage price
.db 8           ;rent price no house
.db $FF         ;owner
brushJail:
.db 7
.db %00000001
.db 1           ;1=up
brushStCha:
.db 8
.db %00010000
.dw textStCha
.db 70          ;mortgage price
.db 10          ;rent price no house
.db $FF         ;owner
brushEleCom:
.db 9
.db %00000000
.dw textEleCom
.db $FF         ;owner
brushStaAve:
.db 8
.db %00010000
.dw textStaAve
.db 70          ;mortgage price
.db 10          ;rent price no house
.db $FF         ;owner
brushVirAve:
.db 8
.db %00010000
.dw textVirAve
.db 80          ;mortgage price
.db 12          ;rent price no house
.db $FF         ;owner
brushPenR:
.db 10
.db %00000000
.dw textPenR
.db $FF         ;owner
brushStJam:
.db 11
.db %00010000
.dw textStJam
.db 90          ;mortgage price
.db 14          ;rent price no house
.db $FF         ;owner
brushCC2:
.db 12
.db %00001000
brushTenAve:
.db 11
.db %00010000
.dw textTenAve
.db 90          ;mortgage price
.db 14          ;rent price no house
.db $FF         ;owner
brushNewYor:
.db 11
.db %00010000
.dw textNewYor
.db 100         ;mortgage price
.db 16          ;rent price no house
.db $FF         ;owner
brush20:        ;free parking
.db 13
.db %00000001
.db 2           ;2=right
brushKenAve:
.db 14
.db %00010000
.dw textKenAve
.db 110          ;mortgage price
.db 18           ;rent price no house
.db $FF         ;owner
brushCha2:
.db 15
.db %00000100
brushIndAve:
.db 14
.db %00010000
.dw textIndAve
.db 110          ;mortgage price
.db 18           ;rent price no house
.db $FF         ;owner
brushIllAve:
.db 14
.db %00010000
.dw textIllAve
.db 120          ;mortgage price
.db 20           ;rent price no house
.db $FF         ;owner
brushBnOR:
.db 16
.db %00000000
.dw textBnOR
.db $FF         ;owner
brushAtlAve:
.db 17
.db %00010000
.dw textAtlAve
.db 130          ;mortgage price
.db 22           ;rent price no house
.db $FF         ;owner
brushVenAve:
.db 17
.db %00010000
.dw textVenAve
.db 130          ;mortgage price
.db 22           ;rent price no house
.db $FF         ;owner
brushWatWor:
.db 18
.db %00000000
.dw textWatWor
.db $FF         ;owner
brushMarGar:
.db 17
.db %00010000
.dw textMarGar
.db 140          ;mortgage price
.db 24           ;rent price no house
.db $FF         ;owner
brush30:        ;go to jail
.db 19
.db %00000001
.db 3           ;3=down
brushPacAve:
.db 20
.db %00010000
.dw textPacAve
.db 150          ;mortgage price
.db 26           ;rent price no house
.db $FF         ;owner
brushNorCar:
.db 20
.db %00010000
.dw textNorCar
.db 150          ;mortgage price
.db 26           ;rent price no house
.db $FF         ;owner
brushCC3:
.db 21
.db %00001000
brushPenAve:
.db 20
.db %00010000
.dw textPenAve
.db 160          ;mortgage price
.db 28           ;rent price no house
.db $FF         ;owner
brushShoLin:
.db 22
.db %00000000
.dw textShoLin
.db $FF         ;owner
brushCha3:
.db 23
.db %00000100
brushParPla:
.db 24
.db %00010000
.dw textParPla
.db 175          ;mortgage price
.db 35           ;rent price no house
.db $FF         ;owner
brushLuxTax:
.db 25
.db %00000000
brushBoa:
.db 24
.db %00010000
.dw textBoa
.db 200          ;mortgage price
.db 50           ;rent price no house
.db $FF         ;owner
brush40:
.db 26

propertyTexts:
textMedAve:
.db _M,_e,_d,_i,_t,_e,_r,_r,_a,_n,_e,_a,_n,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;Mediterranean Avenue
textBalAve:
.db _B,_a,_l,_t,_i,_c,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;Baltic Avenue
textRR:
.db _R,_e,_a,_d,_i,_n,_g,T_SPACE,_R,_a,_i,_l,_r,_o,_a,_d,T_EOS ;Reading Railroad
textOriAve:
.db _O,_r,_i,_e,_n,_t,_a,_l,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;Oriental Avenue
textVerAve:
.db _V,_e,_r,_m,_o,_n,_t,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;Vermont Avenue
textConAve:
.db _C,_o,_n,_n,_e,_c,_t,_i,_c,_u,_t,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;Connecticut Avenue
textStCha:
.db _S,_t,_PERIOD,T_SPACE,_C,_h,_a,_r,_l,_e,_s,T_SPACE,_P,_l,_a,_c,_e,T_EOS ;St. Charles Place
textEleCom:
.db _E,_l,_e,_c,_t,_r,_i,_c,T_SPACE,_C,_o,_m,_p,_a,_n,_y,T_EOS ;Electric Company
textStaAve:
.db _S,_t,_a,_t,_e,_s,T_SPACE,_A,_v,_e,_n,_u,_e,T_EOS ;States Avenue
textVirAve:
.db 46,51,31,25,51,27,51,19,$FE,0,52,23,27,32,23,$FF ;Virginia Avenue
textPenR:
.db 11,23,27,27,65,34,53,52,19,27,51,19,$FE,13,19,51,53,31,28,19,22,$FF ;Pennsylvania Railroad
textStJam:
.db 14,55,62,$FE,8,19,50,23,65,$FE,11,53,19,21,23,$FF ;St. James Place
textTenAve:
.db 49,23,27,27,23,65,65,23,23,$FE,0,52,23,27,32,23,$FF ;Tennessee Avenue
textNewYor:
.db 54,23,58,$FE,17,28,31,56,$FE,0,52,23,27,32,23,$FF ;New York Avenue
textKenAve:
.db 9,23,27,55,32,21,56,34,$FE,0,52,23,27,32,23,$FF ;Kentucky Avenue
textIndAve:
.db 45,27,22,51,19,27,19,$FE,0,52,23,27,32,23,$FF ;Indiana Avenue
textIllAve:
.db 45,53,53,51,27,28,51,65,$FE,0,52,23,27,32,23,$FF ;Illinois Avenue
textBnOR:
.db 1,$FE,68,27,$FE,10,$FE,13,19,51,53,31,28,19,22,$FF ;B&O Railroad
textAtlAve:
.db 0,55,53,19,27,55,51,21,$FE,0,52,23,27,32,23,$FF ;Atlantic Avenue
textVenAve:
.db 46,23,27,55,27,28,31,$FE,0,52,23,27,32,23,$FF ;Ventnor Avenue
textWatWor:
.db 48,19,55,23,31,$FE,48,28,31,56,65,$FF ;Water Works
textMarGar:
.db 44,19,31,52,51,27,$FE,6,19,31,22,23,27,65,$FF ;Marvin Gardens
textPacAve:
.db 11,19,21,51,24,51,21,$FE,0,52,23,27,32,23,$FF ;Pacific Avenue
textNorCar:
.db 54,28,31,55,26,$FE,2,19,31,28,53,51,27,19,$FE,0,52,23,27,32,23,$FF ;North Carolina Avenue
textPenAve:
.db 11,23,27,27,65,34,53,52,19,27,51,19,$FE,0,52,23,27,32,23,$FF ;Pennsylvania Avenue
textShoLin:
.db 14,26,28,31,55,$FE,47,51,27,23,$FF ;Short Line
textParPla:
.db 11,19,31,56,$FE,11,53,19,21,23,$FF ;Park Place
textBoa:
.db 1,28,19,31,22,58,19,53,56,$FF ;Boardwalk

tileData:
 ;Tile 0
 .db $80,$01,$80,$01,$9C,$39,$A2,$45,$A0,$45,$A6,$45,$A2,$45,$9C,$39
 .db $80,$01,$88,$01,$9F,$FD,$BF,$FD,$9F,$FD,$88,$01,$80,$01,$FF,$FF
 ;Tile 1
 .db $FF,$FF,$80,$00,$C4,$44,$91,$11,$80,$00,$FF,$FF,$80,$00,$80,$00
 .db $80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$FF,$FF
 ;Tile 2
 .db $FF,$FF,$81,$C0,$9A,$38,$A2,$06,$9A,$06,$83,$06,$BC,$CA,$E0,$3A
 .db $DE,$7C,$C1,$90,$C0,$96,$C0,$98,$E0,$96,$9E,$E0,$81,$80,$FF,$FF
 ;Tile 3
 .db $FF,$FF,$80,$00,$A9,$30,$AD,$40,$AB,$40,$A9,$34,$80,$00,$8E,$4A
 .db $84,$A4,$84,$E4,$84,$AA,$80,$00,$80,$00,$80,$00,$80,$00,$FF,$FF
 ;Tile 4
 .db $FF,$FF,$82,$00,$84,$00,$88,$7E,$84,$42,$9F,$3A,$91,$2A,$8A,$3A
 .db $8B,$C2,$90,$02,$A0,$02,$CC,$32,$F3,$CC,$92,$48,$8C,$30,$FF,$FF
 ;Tile 5
 .db $FF,$FF,$80,$00,$AA,$AA,$AA,$AA,$80,$00,$FF,$FF,$80,$00,$80,$00
 .db $80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$80,$00,$FF,$FF
 ;Tile 6
 .db $FF,$FF,$83,$C0,$84,$20,$89,$90,$8A,$50,$8A,$50,$84,$90,$81,$20
 .db $81,$40,$81,$40,$80,$80,$80,$00,$80,$80,$81,$40,$80,$80,$FF,$FF
 ;Tile 7
 .db $FF,$FF,$84,$60,$BC,$D0,$C5,$B8,$BF,$6C,$86,$DA,$CF,$B6,$FD,$6C
 .db $CC,$D8,$84,$70,$9F,$FF,$A5,$DC,$90,$88,$C8,$88,$B1,$C8,$FF,$FF
 ;Tile 8
 .db $FF,$FF,$80,$33,$80,$25,$80,$29,$80,$33,$80,$25,$80,$29,$80,$33
 .db $80,$25,$80,$29,$80,$33,$80,$25,$80,$29,$80,$33,$80,$25,$80,$29
 ;Tile 9
 .db $FF,$FF,$80,$23,$82,$25,$81,$01,$80,$79,$83,$85,$9E,$03,$AA,$1B
 .db $EB,$E7,$AA,$1B,$9E,$03,$83,$85,$80,$79,$81,$01,$82,$25,$80,$23
 ;Tile 10
 .db $FF,$FF,$98,$01,$94,$01,$B2,$61,$C9,$A9,$C8,$35,$B1,$A3,$91,$61
 .db $91,$01,$B1,$19,$C8,$E9,$C8,$A9,$B0,$E9,$90,$09,$8F,$F9,$80,$01
 ;Tile 11
 .db $FF,$FF,$80,$3F,$80,$21,$80,$3F,$80,$21,$80,$3F,$80,$21,$80,$3F
 .db $80,$21,$80,$3F,$80,$21,$80,$3F,$80,$21,$80,$3F,$80,$21,$80,$3F
 ;Tile 12
 .db $FF,$FF,$9F,$81,$90,$C9,$A1,$55,$A1,$55,$A1,$41,$A1,$3D,$C2,$23
 .db $FE,$43,$A1,$43,$A1,$85,$9F,$85,$89,$C5,$95,$39,$94,$F9,$80,$01
 ;Tile 13
 .db $FF,$FF,$80,$01,$83,$61,$82,$A1,$81,$41,$87,$A1,$B5,$11,$AF,$29
 .db $94,$75,$A8,$E5,$B5,$C9,$82,$91,$81,$21,$80,$C1,$80,$01,$80,$01
 ;Tile 14
 .db $FF,$FF,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01
 .db $00,$01,$00,$01,$FF,$FF,$AA,$AB,$55,$55,$AA,$AB,$55,$55,$FF,$FF
 ;Tile 15
 .db $FF,$FF,$01,$01,$02,$81,$01,$01,$00,$01,$01,$01,$02,$81,$02,$81
 .db $04,$81,$09,$21,$0A,$51,$0A,$51,$09,$91,$04,$21,$03,$C1,$FF,$FF
 ;Tile 16
 .db $FF,$FF,$0C,$31,$12,$49,$33,$CF,$4C,$33,$40,$05,$40,$09,$43,$D1
 .db $5C,$51,$54,$89,$5C,$F9,$42,$21,$7E,$11,$00,$21,$00,$41,$FF,$FF
 ;Tile 17
 .db $FF,$FF,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01,$00,$01
 .db $00,$01,$00,$01,$FF,$FF,$AA,$AB,$FF,$FF,$FF,$FF,$AA,$AB,$FF,$FF
 ;Tile 18
 .db $FF,$FF,$00,$01,$20,$01,$50,$01,$20,$01,$50,$05,$50,$EB,$4F,$BB
 .db $20,$0B,$1F,$BB,$00,$EB,$00,$45,$03,$59,$03,$F9,$00,$01,$FF,$FF
 ;Tile 19
 .db $FF,$FF,$ED,$6F,$6D,$ED,$6D,$6D,$6C,$EF,$00,$81,$21,$C1,$5F,$E1
 .db $3F,$E9,$47,$DD,$0F,$BF,$73,$9D,$3A,$1D,$1C,$1D,$08,$01,$FF,$FF
 ;Tile 20
 .db $F4,$01,$EC,$01,$DC,$01,$BC,$01,$F4,$01,$EC,$01,$DC,$01,$BC,$01
 .db $F4,$01,$EC,$01,$DC,$01,$BC,$01,$F4,$01,$EC,$01,$DC,$01,$FF,$FF
 ;Tile 21
 .db $80,$01,$9F,$29,$9C,$A9,$A3,$91,$A1,$F9,$A1,$85,$C2,$85,$C2,$7F
 .db $C4,$43,$BC,$85,$82,$85,$AA,$85,$AA,$85,$93,$09,$81,$F9,$FF,$FF
 ;Tile 22
 .db $80,$01,$9F,$F1,$90,$09,$97,$0D,$95,$13,$97,$13,$98,$8D,$80,$89
 .db $86,$89,$C5,$8D,$AC,$13,$95,$93,$86,$4D,$80,$29,$80,$19,$FF,$FF
 ;Tile 23
 .db $80,$01,$80,$01,$80,$01,$80,$01,$9E,$01,$A1,$01,$CC,$C5,$D2,$2B
 .db $D1,$C5,$CC,$01,$A2,$01,$9C,$01,$80,$01,$80,$01,$80,$01,$FF,$FF
 ;Tile 24
 .db $FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01
 .db $FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FC,$01,$FF,$FF
 ;Tile 25
 .db $80,$01,$B4,$D1,$88,$21,$88,$21,$B4,$D1,$80,$01,$B8,$71,$84,$A1
 .db $84,$A1,$B8,$71,$80,$01,$84,$81,$84,$F1,$BC,$81,$80,$01,$FF,$FF
 ;Tile 26
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00